Shared Private Link Resources - Delete

起始從搜尋服務刪除共用私人鏈接資源。 非同步刪除則回傳 202(已接受),若服務存在但未找到共享私有連結,則回傳 204(無內容),若找不到服務則回傳 404(未找到)。 注意:回傳404表的行為與ARM指引不符。 客戶應預期未來版本會收到 204 回應,並避免對 404 回應產生新的依賴。

DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/sharedPrivateLinkResources/{sharedPrivateLinkResourceName}?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

searchServiceName
path True

string

pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$

與指定資源群組相關聯的 Azure AI 搜尋服務名稱。

sharedPrivateLinkResourceName
path True

string

由指定資源群組內 Azure AI 搜尋服務所管理之共用私人鏈接資源的名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
x-ms-client-request-id

string (uuid)

用戶端產生的 GUID 值,可識別此要求。 如果指定,則會以追蹤要求的方式包含在響應資訊中。

回應

名稱 類型 Description
202 Accepted

已接受資源作業。

標題

  • Azure-AsyncOperation: string
  • Retry-After: integer
204 No Content

此要求沒有內容可傳送,但標頭可能很有用。

404 Not Found

伺服器找不到要求的資源。

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

SharedPrivateLinkResourceDelete

範例要求

DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/sharedPrivateLinkResources/testResource?api-version=2025-05-01

範例回覆

Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchService/sharedPrivateLinkResources/testResource/operationStatuses/159c5e07-c829-4896-8aba-a1d4fcc7c89c?api-version=2025-05-01
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchService/sharedPrivateLinkResources/testResource/operationStatuses/159c5e07-c829-4896-8aba-a1d4fcc7c89c?api-version=2025-05-01

定義

名稱 Description
CloudError

包含 API 錯誤的相關信息。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

CloudError

包含 API 錯誤的相關信息。

名稱 類型 Description
error

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

message

string

錯誤簡短描述,其中提示發生錯誤的原因(如需詳細數據/偵錯資訊,請參閱 'error.message' 屬性。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

名稱 類型 Description
code

string

比 HTTP 狀態代碼更精確地描述錯誤條件的錯誤碼。 可用來以程式設計方式處理特定錯誤案例。

details

CloudErrorBody[]

包含與此錯誤相關的巢狀錯誤。

message

string

描述錯誤的詳細訊息,並提供偵錯資訊。

target

string

特定錯誤的目標(例如,錯誤中的屬性名稱)。